Bug 977356 - (CVE-2013-1059) CVE-2013-1059 Kernel: libceph: Fix NULL pointer dereference in auth client code
CVE-2013-1059 Kernel: libceph: Fix NULL pointer dereference in auth client code
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20130701,repo...
: Security
Depends On: 980341
Blocks: 977339
  Show dependency treegraph
 
Reported: 2013-06-24 07:31 EDT by Prasad J Pandit
Modified: 2015-07-31 03:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-02 02:33:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (1.15 KB, patch)
2013-07-02 02:32 EDT, Petr Matousek
no flags Details | Diff

  None (edit)
Description Prasad J Pandit 2013-06-24 07:31:03 EDT
Linux kernel built with the Ceph core library(CONFIG_CEPH_LIB) support is
vulnerable to a NULL pointer dereference flaw. It could occur while handling
auth_reply messages from a CEPH client.

A remote user/program could use this flaw to crash the system, resulting in
denial of service.

References:

http://hkpco.kr/advisory/CVE-2013-1059.txt
Comment 1 Prasad J Pandit 2013-06-24 07:34:50 EDT
Statement:

This issue does not affect the versions of the kernel package as shipped with
Red Hat Enterprise Linux 5, 6 and Red Hat Enterprise MRG 2.
Comment 2 Petr Matousek 2013-07-02 02:30:56 EDT
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 980341]
Comment 3 Petr Matousek 2013-07-02 02:32:02 EDT
Created attachment 767633 [details]
Proposed patch
Comment 4 Josh Boyer 2013-07-02 08:32:50 EDT
(In reply to Petr Matousek from comment #3)
> Created attachment 767633 [details]
> Proposed patch

That looks like it would work.  Do you plan on sending it upstream?
Comment 5 Petr Matousek 2013-07-02 08:57:40 EDT
(In reply to Josh Boyer from comment #4)
> (In reply to Petr Matousek from comment #3)
> > Created attachment 767633 [details]
> > Proposed patch
> 
> That looks like it would work.  Do you plan on sending it upstream?

This is actually patch acked by ceph maintainer Sage Weil (and not written by me). I expect him to send it upstream.

Note You need to log in before you can comment on or make changes to this bug.